Questions tagged [cabal]

The tag has no usage guidance.

Filter by
Sorted by
Tagged with
2
votes
1answer
199 views

cabal update causes segmentation fault on FreeBSD 10.2

I have installed FreeBSD 10.2-RELEASE 32-bit and I am trying to use Haskell on it. I have installed package ghc-7.10.2 with pkg and then installed package hs-cabal-install-1.22.6.0 from /usr/ports/...
4
votes
2answers
3k views

How to install Pandoc on ArchLinux

Does anyone have suggestions about how to install pandoc on Arch? I am trying to install pandoc-static from here: https://aur.archlinux.org/packages/pandoc-static/, although it appears to be ...
2
votes
1answer
650 views

Cabal using older version when newer is installed

I've just installed and updated cabal, but it is still using the original version (1.16.0.2) instead of the updated 1.22.4.0. The commands I have run, after installation through apt-get: $ cabal ...
1
vote
1answer
3k views

Cabal error: Cannot run c compiled programs

I have an old version of cabal-install so I downloaded cabal-install 1.20 and When installing it errors out. Additional note: ghc 7.8.3 OS: CentOS 6.6 Error: Building network-2.4.2.3... ....... .......
0
votes
0answers
824 views

How to install pandoc

I tried to install pandoc on manjaro and therefore I installed ghc and caball-install, but I got an error by executing "cabal update" $ cabal update Downloading the latest package list from hackage....
0
votes
1answer
143 views

Install specific version of X11 for xmonad?

I wanted to compile xmonad from source, so I checked out the code and ran the first command from the README. $ runhaskell Setup.lhs configure --user --prefix=$HOME Configuring xmonad-0.12... Setup....
9
votes
1answer
366 views

cabal dies on NixOS in KVM

I set up a NixOS system on KVM and installed the haskelPlatform package. Everything works fine, ghci works fine, but cabal dies without any helpful error message: [michas@nix:~]$ type -a cabal cabal ...